package com.nzwz.serivce;

import com.nzwz.transfer.tablerelation.*;

/**
 * @author Inori
 */
public interface ITableRelationService {

    /**
     * 表关系列表
     *
     * @param inVo 条件
     * @return 列表
     */
    TableRelationListOutVo tableRelationList(TableRelationListInVo inVo);

    /**
     * 表关系录入
     *
     * @param inVo 条件
     */
    void tableRelationCreate(TableRelationCreateInVo inVo);

    /**
     * 表关系编辑
     *
     * @param inVo 条件
     */
    void tableRelationUpdate(TableRelationUpdateInVo inVo);

    /**
     * 表关系编辑删除
     *
     * @param inVo 条件
     */
    void tableRelationDelete(TableRelationDeleteInVo inVo);


}
